subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hwri...@apache.org
Subject svn commit: r1137799 - /subversion/trunk/tools/dist/nightly.sh
Date Mon, 20 Jun 2011 21:58:28 GMT
Author: hwright
Date: Mon Jun 20 21:58:28 2011
New Revision: 1137799

URL: http://svn.apache.org/viewvc?rev=1137799&view=rev
Log:
Use release.py to generate the index page for the nightly tarballs, and to move
them into place.

(I'm still getting local failures with my nightly script with this change.
Something isn't quite right, but this is less broke than previous versions.)

* tools/dist/nightly.sh:
  Use release.py instead of gen_nightly_ann.py.

Modified:
    subversion/trunk/tools/dist/nightly.sh

Modified: subversion/trunk/tools/dist/nightly.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/dist/nightly.sh?rev=1137799&r1=1137798&r2=1137799&view=diff
==============================================================================
--- subversion/trunk/tools/dist/nightly.sh (original)
+++ subversion/trunk/tools/dist/nightly.sh Mon Jun 20 21:58:28 2011
@@ -71,17 +71,15 @@ echo '-------------------rolling tarball
 cd ..
 
 # Create the information page
-./gen_nightly_ann.py $head > index.html
-
-# Move the results to the target location
 echo '-------------------moving results---------------------'
-if [ -f "$target/index.html" ]; then rm "$target/index.html"; fi
-mv index.html "$target"
+./release.py --base-dir ${abscwd}/roll post-candidates trunk-nightly $head \
+    --target $target
+exit 1
 if [ ! -d "$target/dist" ]; then mkdir "$target/dist"; fi
 if [ -d "$target/dist/r$head" ]; then rm -r "$target/dist/r$head"; fi
-mv roll/deploy "$target/dist/r$head"
+mv $target/deploy $target/dist/r$head
 
-# Some static links for the most recent artefacts.
+# Some static links for the most recent artifacts.
 ln -sf "r$head" "$target/dist/current"
 ls "$target/dist/r$head" | while read fname; do
   ln -sf "r$head/$fname" "$target/dist/$fname"



Mime
View raw message